#ifndef __NOTIFICATION____H__
#define __NOTIFICATION____H__

#include <SDL.h>

typedef void func_on_notification_disappear_callback();

void notification_show(char* message, Uint32 durationMs, func_on_notification_disappear_callback* onDisappearCallback);
Uint8 notification_render(SDL_Renderer* renderer);

void notification_start(Uint16 width, Uint16 top, Uint16 left, Uint8 zoom);
void notification_destroy();

#endif  // !__NOTIFICATION____H__